EXEC p_AlterColumn 'T_HRCS_ANONYMOUSCONFIG', 'FANONYMOUSTYPE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRCS_ANONYMOUSCONFIG' AND KSQL_COL_NAME ='FPARAMS') 
 ALTER TABLE T_HRCS_ANONYMOUSCONFIG ADD (FPARAMS NVARCHAR(50) DEFAULT ' ' NOT NULL );
 --- drop column --------- 不允许删除表T_HRCS_ANONYMOUSCONFIG的字段FANONYMOUSRULE，请恢复pdm中的字段 ------------------- 
 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJECT', 'FPARAMS', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HRCS_PRIVACYOBJECT' AND KSQL_COL_NAME ='FANONYMOUSID') 
 ALTER TABLE T_HRCS_PRIVACYOBJECT ADD (FANONYMOUSID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJENTRY', 'FDATASUBJECTTYPE', 'VARCHAR(50)', 'NOT NULL', '0101', ''' ''';

 EXEC p_AlterColumn 'T_HRCS_PRIVACYOBJENTRY', 'FPERSONFIELDTYPE', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';